Solidworks как определить эскиз
Перейти к содержимому

Solidworks как определить эскиз

  • автор:

Определение эскиза, эскиз определен в SOLIDWORKS – что это значит и почему важно

Сегодня дам ответ на довольно популярный вопрос: «Что значит эскиз полностью определен?».

Вот, например, комментарий одного из наших подписчиков:

Никак не могу понять, что означает «эскиз полностью определён» или, когда пишут, что для определения эскиза требуются доп-е размеры. Когда я делаю из эскиза 3Д, у меня получается одинаковый элемент что из полностью определённого эскиза, что из неопределённого…

Так для чего же нужна эта самая определённость??

На самом деле это крайне важно до конца понимать и использовать. От этого Ваше взаимодействие с программой и в целом, конструирование будет правильнее, точнее и быстрее.

Магазин курсов студии Vertex

Посмотрите видеоурок на эту тему прямо сейчас:

Определение эскиза в SOLIDWORKS

Также мы рекомендуем вам статью о том как создать эскиз в SolidWorks.

Полностью определить эскиз

Вы можете опубликовать сообщение сейчас, а зарегистрироваться позже. Если у вас есть аккаунт, войдите в него для написания от своего имени.
Примечание: вашему сообщению потребуется утверждение модератора, прежде чем оно станет доступным.

Сейчас на странице 0 пользователей

Нет пользователей, просматривающих эту страницу.

Сообщения

mamomot

Автор: mamomot · Опубликовано: 10 минут назад
Вы — специалист по прочистке унитазов? Вантузом работаете?
Автор: gudstartup · Опубликовано: 1 час назад
В 2017 возможно все и решилось.
Автор: gudstartup · Опубликовано: 1 час назад
мониторинг и только сервис может еще кое что дистанционно посмотреть

VOleg

Автор: VOleg · Опубликовано: 1 час назад

Переписать Автора, Обозначение, Наименование получилось, но с текущей конфигурации. Надо бы перейти в конфигурацию 00. Дополнительно с вкладки Настройки надо списать имя папки, добавив диск «D» и сформировать имя файла =D:\Имя папки\Обозначение Наименование, проверить сохранен ли файл модели и если не сохранен, то сохранить. Далее проверить есть ли в папке чертеж, если есть, то открыть, если нет, то создать, заполнить вкладку Сумм. информ. чертежа, сохранить чертеж и закончить работу макроса — дальше я буду работать с чертежом. Вроде так? ‘Option Explicit Option Base 0 Dim swApp As Object Sub sumprop() Dim swApp As SldWorks.SldWorks Dim swModel As SldWorks.ModelDoc2 Dim swConfigMgr As SldWorks.ConfigurationManager Dim swConfig As SldWorks.Configuration Dim swCustPropMgr As SldWorks.CustomPropertyManager Dim cpm As CustomPropertyManager Dim mde As ModelDocExtension Dim vPropNames As Variant Dim vConfName As Variant Dim vConfParam As Variant Dim vConfValue As Variant Dim i As Long Dim j As Long Dim n As Integer Dim nprops As Integer Dim valOut As String Dim resolvedValOut As String Dim custPropType As Long Dim dcn As Variant Dim naim As Variant dcn = Null naim = Null Set swApp = Application.SldWorks Set swModel = swApp.ActiveDoc ‘ Начальные проверки If swModel Is Nothing Then MsgBox «Откройте документ», , «Ничего не открыто» Exit Sub End If Set swConfigMgr = swModel.ConfigurationManager Set swConfig = swConfigMgr.ActiveConfiguration Set swCustPropMgr = swConfig.CustomPropertyManager Set mde = swModel.Extension() Set cpm = mde.CustomPropertyManager(«») nprops = swCustPropMgr.Count vPropNames = swCustPropMgr.GetNames For j = 0 To nprops — 1 swCustPropMgr.Get2 vPropNames(j), valOut, resolvedValOut If vPropNames(j) = «Обозначение» Then dcn = resolvedValOut If vPropNames(j) = «Наименование» Then naim = resolvedValOut Next j If IsNull(dcn) Then MsgBox «Свойство » + VBA.Chr(34) + «Обозначение» + VBA.Chr(34) + » не найдено в текущей конфигурации» Else swModel.SummaryInfo(swSumInfoSubject) = dcn End If If IsNull(naim) Then MsgBox «Свойство » + VBA.Chr(34) + «Наименование» + VBA.Chr(34) + » не найдено в текущей конфигурации» Else swModel.SummaryInfo(swSumInfoTitle) = naim End If swModel.SummaryInfo(swSumInfoAuthor) = cpm.Get(«Разраб.») End Sub Забыл про виртуальную деталь со свойствами спецификации

Автор: karlf · Опубликовано: 2 часа назад

Здравствуйте. Подскажите пожалуйста, из-за чего могут не применяться параметры кинематики? Станок DMU-70V на стойке TNC 426. Меняю в параметрах 7530.1. Пробовал также создавать кинематическую таблицу и указывать к ней путь в файле OEM.SYS, но тоже ничего не происходит после перезагрузки.

VOleg

Автор: VOleg · Опубликовано: 3 часа назад

Пункты 1 и 2 думаю изложить по -другому: 1 Я создаю новую модель. Заполняю на вкладке Конфигурация Обозначение и Наименование. На вкладке Настройка из списка (через Таб-билдер) выбираю себя и папку, в которую будет все это складываться. 2 Закончив и сохранив модель я жму кнопку макроса «Создать чертеж». При этом все эти свойства переписываются в Суммарную информацию модели и чертежа. Дополнительно в модели создается виртуальная деталь «СП», в которую записываются все свойства спецификации: Обозначение, Наименование, Автор, Перв. применение спецификации, № изменения, № извещения, имя папки. Пункт 3 надо то же подправить: 3 Для сборочного чертежа я жму кнопку макроса «Создать спецификацию». При этом за полем чертежа вставляется спецификация, сразу формируется имя файла и подставляется имя папки, спецификация сохраняется с расширением XLS. Можно здесь же сохранить и сам чертеж, и PDF, благо имена одинаковые и уже сформированы. Соответственно в свойства файла PDF записываем Обозначение Наименование Автор. 4 Ну а для чертежа детали кнопка макроса «Сохранить» — аналогично п.3 но без спецификации.

Автор: neon4ik1 · Опубликовано: 3 часа назад

Добрый день , есть станок Ermaksan Speed band pro , под управление Kvara S640 , перестал включаться ошибка DLL loader init error 1117 , пост код 4 . Может кто сталкивался .

недоопределенность эскиза

Вы можете опубликовать сообщение сейчас, а зарегистрироваться позже. Если у вас есть аккаунт, войдите в него для написания от своего имени.
Примечание: вашему сообщению потребуется утверждение модератора, прежде чем оно станет доступным.

Сейчас на странице 1 пользователь

  • Mazafaka12

Сообщения

mamomot

Автор: mamomot · Опубликовано: 10 минут назад
Вы — специалист по прочистке унитазов? Вантузом работаете?
Автор: gudstartup · Опубликовано: 1 час назад
В 2017 возможно все и решилось.
Автор: gudstartup · Опубликовано: 1 час назад
мониторинг и только сервис может еще кое что дистанционно посмотреть

VOleg

Автор: VOleg · Опубликовано: 1 час назад

Переписать Автора, Обозначение, Наименование получилось, но с текущей конфигурации. Надо бы перейти в конфигурацию 00. Дополнительно с вкладки Настройки надо списать имя папки, добавив диск «D» и сформировать имя файла =D:\Имя папки\Обозначение Наименование, проверить сохранен ли файл модели и если не сохранен, то сохранить. Далее проверить есть ли в папке чертеж, если есть, то открыть, если нет, то создать, заполнить вкладку Сумм. информ. чертежа, сохранить чертеж и закончить работу макроса — дальше я буду работать с чертежом. Вроде так? ‘Option Explicit Option Base 0 Dim swApp As Object Sub sumprop() Dim swApp As SldWorks.SldWorks Dim swModel As SldWorks.ModelDoc2 Dim swConfigMgr As SldWorks.ConfigurationManager Dim swConfig As SldWorks.Configuration Dim swCustPropMgr As SldWorks.CustomPropertyManager Dim cpm As CustomPropertyManager Dim mde As ModelDocExtension Dim vPropNames As Variant Dim vConfName As Variant Dim vConfParam As Variant Dim vConfValue As Variant Dim i As Long Dim j As Long Dim n As Integer Dim nprops As Integer Dim valOut As String Dim resolvedValOut As String Dim custPropType As Long Dim dcn As Variant Dim naim As Variant dcn = Null naim = Null Set swApp = Application.SldWorks Set swModel = swApp.ActiveDoc ‘ Начальные проверки If swModel Is Nothing Then MsgBox «Откройте документ», , «Ничего не открыто» Exit Sub End If Set swConfigMgr = swModel.ConfigurationManager Set swConfig = swConfigMgr.ActiveConfiguration Set swCustPropMgr = swConfig.CustomPropertyManager Set mde = swModel.Extension() Set cpm = mde.CustomPropertyManager(«») nprops = swCustPropMgr.Count vPropNames = swCustPropMgr.GetNames For j = 0 To nprops — 1 swCustPropMgr.Get2 vPropNames(j), valOut, resolvedValOut If vPropNames(j) = «Обозначение» Then dcn = resolvedValOut If vPropNames(j) = «Наименование» Then naim = resolvedValOut Next j If IsNull(dcn) Then MsgBox «Свойство » + VBA.Chr(34) + «Обозначение» + VBA.Chr(34) + » не найдено в текущей конфигурации» Else swModel.SummaryInfo(swSumInfoSubject) = dcn End If If IsNull(naim) Then MsgBox «Свойство » + VBA.Chr(34) + «Наименование» + VBA.Chr(34) + » не найдено в текущей конфигурации» Else swModel.SummaryInfo(swSumInfoTitle) = naim End If swModel.SummaryInfo(swSumInfoAuthor) = cpm.Get(«Разраб.») End Sub Забыл про виртуальную деталь со свойствами спецификации

Автор: karlf · Опубликовано: 2 часа назад

Здравствуйте. Подскажите пожалуйста, из-за чего могут не применяться параметры кинематики? Станок DMU-70V на стойке TNC 426. Меняю в параметрах 7530.1. Пробовал также создавать кинематическую таблицу и указывать к ней путь в файле OEM.SYS, но тоже ничего не происходит после перезагрузки.

VOleg

Автор: VOleg · Опубликовано: 3 часа назад

Пункты 1 и 2 думаю изложить по -другому: 1 Я создаю новую модель. Заполняю на вкладке Конфигурация Обозначение и Наименование. На вкладке Настройка из списка (через Таб-билдер) выбираю себя и папку, в которую будет все это складываться. 2 Закончив и сохранив модель я жму кнопку макроса «Создать чертеж». При этом все эти свойства переписываются в Суммарную информацию модели и чертежа. Дополнительно в модели создается виртуальная деталь «СП», в которую записываются все свойства спецификации: Обозначение, Наименование, Автор, Перв. применение спецификации, № изменения, № извещения, имя папки. Пункт 3 надо то же подправить: 3 Для сборочного чертежа я жму кнопку макроса «Создать спецификацию». При этом за полем чертежа вставляется спецификация, сразу формируется имя файла и подставляется имя папки, спецификация сохраняется с расширением XLS. Можно здесь же сохранить и сам чертеж, и PDF, благо имена одинаковые и уже сформированы. Соответственно в свойства файла PDF записываем Обозначение Наименование Автор. 4 Ну а для чертежа детали кнопка макроса «Сохранить» — аналогично п.3 но без спецификации.

Автор: neon4ik1 · Опубликовано: 3 часа назад

Добрый день , есть станок Ermaksan Speed band pro , под управление Kvara S640 , перестал включаться ошибка DLL loader init error 1117 , пост код 4 . Может кто сталкивался .

10 простых лайфхаков для работы в SolidWorks

10 простых лайфхаков для работы в SolidWorks

Можно годами проектировать сложные конструкции в той или иной САПР, при этом так и не узнав множества мелких, но экономящих время возможностей. Сегодня мы расскажем, как повысить свою продуктивность при работе с SolidWorks.

САПР, о которой пойдет речь, является одной из самых популярных в мире. Она появилась еще в 1993 году и вот уже много лет развивается усилиями компании Dassault Systèmes. Это позволило SolidWorks стать незаменимым инструментом для автоматизации работ промышленного предприятия на этапах конструкторской и технологической подготовки производства. Те, кто использует эту САПР каждый день или только начинает ее освоение, наверняка найдут среди наших лайфхаков те, о которых и не догадывались.

Быстрое создание чертежей импортированных проектов

Первый лайфхак связан с импортированием файлов. Часто бывает так, что в загруженном проекте детали оказываются разрозненными, не привязанными к «костям». В обычном случае приходится заходить в модель, двигать ее элементы, сопрягать в нужных ракурсах. Все это приводит к потере большого количества времени — самого ценного ресурса проектировщика.

Большинства этих сложностей можно избежать. Если необходимо выполнить чертеж детали, не привязанной ни к одной плоскости, достаточно зайти в чертежный вид, а затем снова открыть деталь и выбрать на ней пару поверхностей. После этого деталь можно расположить так, как нужно: выбирать требуемые масштабы, уровень качества и прочие необходимые для чертежа свойства.

Также
по теме

Создание необычных разрезов

Второй полезный совет всем, кто работает с SolidWorks, посвящен созданию нестандартных разрезов по необходимой траектории.

Часто бывает так, что заказчику надо показать на детали или сборке какой-нибудь сложный вырез или внутреннюю полость. Для этого потребуется открыть обычный чертеж в режиме «Эскиз». Траектория разреза может быть любой, лишь бы линии были объединены в цепочку и пересекали деталь полностью. Допустим, это может быть разрез по осям отверстий. Дальше достаточно выбрать в меню пункт «Создать стандартный разрез». Вот и все, нужное сечение готово.

Работа с плохо различимыми элементами

Многие проектировщики не догадываются, что в SolidWorks есть специальный инструмент «Лупа». Часто можно встретить чертежи или эскизы, линии которых очень сложно как следует рассмотреть и правильно прочитать. Из-за этого можно, например, столкнуться с незакрытыми эскизами и пр. Для того чтобы не скролить постоянно масштаб, достаточно нажать кнопку G и подвести лупу к нужному месту чертежа. Простая, но не так уж часто используемая функция.

Обнаружение конфликтов в сборках

В отдельных сборках может быть достаточно много всевозможных сопряжений, причем используются в основном стандартные. А ведь с каждым годом в SolidWorks появляются все новые и новые их типы. Двигая сборку, можно обнаружить, что она способна принимать невозможные положения. Например, части конструкции проникают друг в друга. Для того чтобы этого избежать, достаточно активировать в боковой панели «Переместить компоненты» чекбокс «Остановить при конфликте».

Теперь при соприкосновении элементов (интерференции) они будут выделяться цветом. Одновременно прозвучит предупреждающий звуковой сигнал. Это позволит точно определить реальные степени свободы конструкции.

Удлинение или отсечение объектов

Об этих функциях знает, пожалуй, каждый проектировщик. Но почему-то далеко не каждый представляет себе их возможности во всей полноте.

К примеру, при стандартном удлинении объекта на эскизе это удлинение продолжается до первой встреченной линии. Но если зажать клавишу мыши и потянуть дальше, то удлинение пройдет до любой иной точки пересечения с другими линиями. Аналогичным образом этой возможностью можно пользоваться и при отсекании. Оценить полезность этого простейшего лайфхака можно на эскизах с большим количеством линий, «экономя» огромное количество кликов.

Траектория движения в сборках

И снова о большом количестве сопряжений. Допустим, нам необходимо задать траекторию движения сборки. Это может понадобиться, например, для последующей анимации и представления заказчику.

В меню выбора дополнительных видов сопряжения следует воспользоваться пунктом «Сопряжение пути». Теперь достаточно задать эскиз траектории и привязать к нему нужный подвижный элемент сборки. Например, конечный элемент руки-манипулятора. После этого объект при перетаскивании мышкой будет двигаться строго по заданному пути. Одновременно можно активировать и определение конфликтов. Это одинаково хорошо работает как с 2D-, так и с 3D-эскизами.

Уравнения для параметрического проектирования

Значительно сократить время на производство деталей и сборок позволяет функция «Уравнения». Задав ряд глобальных переменных для детали (в простейшем случае — длину, ширину и высоту для параллелепипеда), можно менять одно ее свойство, автоматически вызывая изменения всех остальных. В сущности, речь идет о переходе к параметрическому проектированию. А инструмент «Конфигурации» позволяет хранить деталь в разных (заданных через уравнения) вариантах исполнения как одно целое. Это значительно облегчает поиск и экономит пространство на диске.

Превращение растрового изображения в векторное

Пожалуй, не найдется такого дизайнера, да и проектировщика, которому заказчик в качестве отправной точки для проекта никогда не предоставлял растрового изображения.

Обычно это требует создания в SolidWorks отдельной плоскости, размещения на ней изображения с последующим очерчиванием векторными линиями. Только после этого можно переходить к основной работе. Но сделать это можно намного проще.

Для этого нужно создать обычный эскиз на плоскости, а затем перейти на вкладку «Инструменты эскиза» — «Картинки эскиза». Загружаем в проект графический файл и делаем его контрастным при помощи «пипетки».

На боковой вкладке «Картинка эскиза» используем в качестве инструмента выделения все ту же «пипетку» (но можно воспользоваться и «лассо»), после чего остается лишь нажать в интерфейсе кнопку «Запуск векторизации». Теперь растровое изображение можно вообще удалить — векторное останется и с ним можно работать.

Возвращение к полному виду детали

Гениальная в своей простоте функция позволяет быстро вернуться к исходному виду детали или сборки. В очень сложных проектах, где постоянно надо менять масштаб и вглядываться в самые мелкие элементы, отдельное время уходит на то, чтобы найти изучаемый объект и перейти к нему при помощи колеса мышки. Сэкономить драгоценное время можно, всего лишь нажав кнопку F. Доля секунды — и перед вами общий вид нужного элемента.

Полностью определенный эскиз

Часто на сложных чертежах можно просто по невнимательности забыть проставить какой-нибудь не основной размер. Как правило дело заканчивается тем, что чертеж возвращается от заказчика или из отдела производства с соответствующим вопросом. Необходимость каждый раз открывать чертеж заново и разбираться, что же там не указано, может приводить к серьезной потере времени. Особенно, если это происходит по несколько раз.

Решить эту проблему в SolidWorks можно раз и навсегда при помощи функции «Полностью определить эскиз». Она автоматически проставит размеры всех или выбранных объектов. САПР не забудет ни одного элемента, а вы будете уверены, что чертеж отправился заказчику в полностью готовом виде.

Еще больше полезных лайфхаков для работы с SolidWorks вместе с их демонстрацией непосредственно в интерфейсе САПР вы найдете в нашем вебинаре от инженера отдела САПР Сергея Мордвина.

Ну а если вы уверены в своих знаниях об этой системе автоматизированного проектирования, проверьте их в нашем квизе, победители которого получат именные сертификаты знатоков SolidWorks.

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *